﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.IO;
using System.Text;
using System.Windows.Forms;
using NationalInstruments.Vision;
using NationalInstruments.Vision.Acquisition.Imaq;




namespace WindowsFormsApplication1
{

    public partial class Form1 : Form
    {
 
        VisionImage myImage = new VisionImage(ImageType.Rgb32);
        OpenFileDialog originalImagePath = new OpenFileDialog();
        
        
        public Form1()
        {
            InitializeComponent();
        }

        private void imageViewer1_RoiChanged(object sender, NationalInstruments.Vision.WindowsForms.ContoursChangedEventArgs e)
        {

        }

        private void SelectImage_Click(object sender, EventArgs e)
        {
            originalImagePath.ShowDialog();
           
            myImage.ReadFile(originalImagePath.FileName);
            imageViewer1.Attach(myImage);
          
        }

        private void AddOvalOverlay_Click(object sender, EventArgs e)
        {
            //Create Oval Overlay with position in upper left hand corner
            OvalContour oval = new OvalContour(0, 0, 20, 20);
            //Add Oval overlay to my image
            myImage.Overlays.Default.AddOval(oval);
            //Merge the overlay to the image
            myImage.Overlays.Default.Merge();       
            //save image file in same directory as executable.
            myImage.WriteFile("Merged.png");
        }
    }
}
